"use strict";

this.activated = function()
{
	var ws = worldScripts["miningcontracts"];

	if (ws.MC_subscr < clock.seconds)
	{
		player.consoleMessage("You have no valid descrambling keys.");
		return;
	}

	var hermits = system.shipsWithPrimaryRole("rockhermit");
	var number = hermits.length;
	var active = 0;

	for (var i = 0; i < number; i++)
	{
		if (system.countShipsWithRole("asteroid", hermits[i], 25600) < 5) continue;
		hermits[i].beaconCode = hermits[i].displayName;
		active++;
	}

	player.consoleMessage((active > 0 ? active : "no") + " scrambled beacons detected.");
}

this.mode = function()
{
	var ws = worldScripts["miningcontracts"];

	var msg = ws.MC_subscr < clock.seconds ?
		"You have no valid descrambling keys." :
		"Your descrambling keys are valid till " + MC_clockStringToMinutes(ws.MC_subscr) + ".";

	player.consoleMessage(msg);
}

function MC_clockStringToMinutes(time)
{
	return clock.clockStringForTime(time).slice(4,13);
}
